flutter_web_auth 0.4.3 copy "flutter_web_auth: ^0.4.3" to clipboard
flutter_web_auth: ^0.4.3 copied to clipboard

Flutter plugin for authenticating a user with a web service.

0.4.3 #

  • 🐛 Revert accidental breaking change (#142)

0.4.2 #

  • 🎉 Add preferEphemeral support on macOS
  • 🐛 Remove null aware operators from not null widgets (#132)
  • 🐛 Throw a proper error on invalid callback scheme
  • 🌹 Add troubleshooting documentation

0.4.1 #

  • 🎉 Add support for Flutter "add to app" (#106)

0.4.0 #

  • 💥 Upgrade to Android V2 embedding (#87)

    Migration guide:

    Make sure that you are running a recent version of Flutter before upgrading.

0.3.2 #

  • 🎉 Add Web support (#77)

0.3.1 #

  • 🎉 Add support for Android Plugin API v2 (#67)
  • 🎉 Add support for ephemeral sessions (#64)
  • 🌹 Avoid deprecated RaisedButton in example (#75)
  • 🌹 Cleanup metadata

0.3.0 #

  • 💥 Add null safety support (#60)

    Migration guide:

    This version drops support for Flutter 1.x, please upgrade to Flutter 2 for continued support.

0.2.4 #

  • 🐛 Fix building on iOS (#36)

0.2.3 #

  • 🐛 Remove NoHistory flag (#33)
  • 🐛 Fix building on iOS 8, 9, and 10 (#29)
  • 🐛 Always terminate 'authenticate' callbacks on Android (#28)

0.2.2 #

  • 🐛 Fix propagation of "CANCELED" error on iOS (#31)

0.2.1 #

  • 🐛 Fix AndroidX build issues (#27)

0.2.0 #

  • 💥 Add macOS support (#20)

    Migration guide:

    This version drops support for Flutter 1.9 and older, please upgrade to Flutter 1.12 for continued support.

0.1.3 #

  • 🎉 Update the kotlin plugin version to 1.3.61

0.1.2 #

  • 🎉 Add support for iOS 13

0.1.1 #

  • 🐛 Add swift_version to the Podspec
  • 🐛 Update Gradle and Kotlin versions
  • 🐛 Add missing link in readme

0.1.0 #

  • 🎉 Add initial implementation
195
likes
120
pub points
96%
popularity

Publisher

unverified uploader

Flutter plugin for authenticating a user with a web service.

Repository (GitHub)
View/report issues

Documentation

API reference

License

MIT (LICENSE)

Dependencies

flutter, flutter_web_plugins

More

Packages that depend on flutter_web_auth